Subject: Re: procmail on cygwin
From: Jason Tishler <[email-masked]>
To: "C. Porter Bassett" <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 10 Dec 2001 13:49:58 -0500

In the future, please post to [email-masked] instead of sending
private email, so others can benefit too.

On Mon, Dec 10, 2001 at 10:32:56AM -0700, C. Porter Bassett wrote:
> Did I understand from some of your cygwin posts that you have procmail
> working with cygwin?

Yes.

> If so, would you be willing to help me set it up on my machine?

You can find a pre-built procmail at:

    http://www.dd.iij4u.or.jp/~madokam/

Otherwise, you can try my attached build recipe.  Note the following:

    1. You will need BIND installed to build procmail -- search the
       archives for the Cygwin BIND patch.
    2. Building procmail under Cygwin is a little touchy.  Sometimes I
       have to restart the make part to get the build to complete.
    3. You will be prompted during the make part -- this is indicated by
       "# <CR> /usr/sbin/ssmtp".

I use fetchmail to retrieve my mail.  Since fetchmail defaults to using
procmail as its MDA, no extra setup is required.

Jason

Subject: procmail build instructions
From: Jason Tishler <[email-masked]>
To: [email-masked]
Date: Thu, 27 Sep 2001 16:31:51 -0400

mv INSTALL INSTALL.txt
apply autoconf patch
make LN=cp # <CR> /usr/sbin/ssmtp
make BASENAME=/tmp/procmail/usr/local BINS='new/procmail.exe new/lockfile.exe new/formail.exe new/mailstat' install
--- ../../procmail-3.22.orig/src/autoconf	Tue Sep 11 00:55:46 2001
+++ ./autoconf	Thu Sep 27 16:01:19 2001
@@ -881,6 +881,7 @@ then
 else
   echo "#define NO_COMSAT" >>$ACONF
 fi
+echo "#define NO_COMSAT" >>$ACONF
 
 $RM _autotst.$O
 
@@ -1349,7 +1350,7 @@ openerr:
 	envs=(char*)((nenv=nenviron)+diff);
 	while(--diff)				       /* put in some colour */
 	   sprintf(*nenviron++=envs,arg,diff),envs+=sizeof arg;
-	*(environ=nenv)="PATH=.";*nenviron=0;diff=argc;	   /* start doubling */
+	*nenviron=0;diff=argc;	   /* start doubling */
       }
      if(MAX_ARGMEM/sizeof arg<=argc)			 /* we are satisfied */
       { einfo=" /* soft limit */";		  /* no reason to hog memory */
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/